Subject: PMP> FW: IANA Charset MIB [renamed textual convention]

From: "McDonald, Ira" <[email-masked]>
Date: Wed, 14 Aug 2002 14:08:41 -0700

Hi folks,

I just sent this note to the IETF Charsets mailing list (which
manages the IANA Charset Registry and proposes IETF charset and
language policies).

Cheers,
- Ira McDonald, co-editor of Printer MIB v2
  High North Inc

-----Original Message-----
From: McDonald, Ira [mailto:[email-masked]]
Sent: Wednesday, August 14, 2002 5:05 PM
To: 'David Hopwood'; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: IANA Charset MIB [renamed textual convention]

Hi David,

Ron Bergman (Hitachi, co-editor of Printer MIB v2) and I agree
with you - the misnamed 'CodedCharSet' textual convention will be 
renamed to 'IANACharset' (following the naming convention used in
the IANA Interface Type MIB) in the next draft of PMv2 (and I'll
update the IANA Charset MIB generation utility and my I-D at the
same time).

Also, I'll add your suggested clarification in the Introduction of
the IANA Charset MIB I-D in the next revision.

Thanks for your helpful criticims.

Cheers,
- Ira McDonald, co-editor of Printer MIB v2 
  High North Inc

-----Original Message-----
From: David Hopwood [mailto:[email-masked]]
Sent: Monday, August 05, 2002 6:59 PM
To: [email-masked]
Subject: Re: IANA Charset MIB (for Printer MIB v2)

-----BEGIN PGP SIGNED MESSAGE-----

"McDonald, Ira" wrote:
<ftp://ftp.pwg.org/pub/pwg/pmp/drafts/draft-mcdonald-iana-charset-mib-00.txt

> Abstract
> 
>    This memo defines a portion of the Management Information Base (MIB)
>    for use with network management protocols in the Internet community.
>    In particular, it defines a single textual convention 'CodedCharSet'
>    that may be used to specify charset labels in MIB objects, for
>    example 'prtLocalizationCharacterSet' in Printer MIB v2 (RFC nnnn).
>    'CodedCharSet' was originally defined in Printer MIB v1 (RFC 1759).

A coded-character-set (CCS) is a different thing from a charset (see
for example <http://www.unicode.org/unicode/reports/tr17/> or
<http://www.w3.org/TR/charmod/>). Please change the name to 'Charset',
if that would not cause too much disruption.

> 1.  Introduction
> 
>    This IANA Charset MIB module defines the single textual convention
>    'CodedCharSet'.  Once adopted, all future versions of the IANA
>    Charset MIB will be machine-generated, whenever the IANA Charset
>    Registry [CHARSET] is updated by IANA staff according to the
>    procedures defined in [RFC2978], using the utility [IANACHAR]
>    described in section 3 of this document.

Add: "IANA staff may change or replace this utility as necessary to
correct errors or take into account changes in the registry format."

- -- 
David Hopwood <[email-masked]>

Home page & PGP public key: http://www.users.zetnet.co.uk/hopwood/
RSA 2048-bit; fingerprint 71 8E A6 23 0E D3 4C E5  0F 69 8C D4 FA 66 15 01
Nothing in this message is intended to be legally binding. If I revoke a
public key but refuse to specify why, it is because the private key has been
seized under the Regulation of Investigatory Powers Act; see
www.fipr.org/rip